from jumbo_settings import *
import os

PROJECT_PATH = os.path.dirname(os.path.realpath(__file__))
SETTINGS_PATH = os.path.abspath(os.path.dirname(__file__))


# Absolute path to the directory that holds media.
# Example: "/home/media/media.lawrence.com/"
MEDIA_ROOT = ''.join([PROJECT_PATH, '/media/'])

ROOT_URLCONF = 'jmb_pyhton_module.urls'

TEMPLATE_DIRS.insert(0, ''.join([PROJECT_PATH, '/templates/']))
TEMPLATE_CONTEXT_PROCESSORS += (
    #'office_meinad.template_processors.logo',
    )

USE_I18N = True
LANGUAGES = (
    ('en', ugettext('English')),
)
LANGUAGE_CODE = 'en'
FORMAT_MODULE_PATH = 'office_meinad.formats'

INSTALLED_APPS += (
    'django_nose',
)

DAJAXICE_FUNCTIONS = (
  
)


ADMIN_THEME_NAME = 'default_full'
ADMIN_SITE_NAME = ''
ADMIN_SUPPORT_LINK = "<a href='https://office.thundersystems.it/'>Help</a>"
#ADMIN_EXTENDED_MENU = 'jumbo.conf.admin_extended_menu.JumboExtendedMenu'
#ADMIN_CONTRACT_MENU = 'office_meinad.admin_contract_menu.MeinadContractMenu'
#ADMIN_EXTENDED_MENU = 'office_meinad.admin_extended_menu.MeinadExtendedMenu'
#ADMIN_TOOLS_INDEX_DASHBOARD = 'office_meinad.dashboard.OfficeIndexDashboard'
CONTACT_NAME_STYLE = "upper"

TEMPLATE_DEBUG = DEBUG


ORGANIZATION_UNIQUE_TOGETHER = None
TEST_RUNNER = 'django_nose.NoseTestSuiteRunner'
SOUTH_TESTS_MIGRATE = False

DOCUMENT_DEFAULT_PROTOCOL = None  # usato in load_document



